Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020297
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2012-04-18 07:282012-09-16 20:00
ReportermtaalView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisione163ad46f5d7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020297: [SC Upgrade] name and searchkey empty in product selector popup

DescriptionSee attached screenshot, the name and searchkey columns don't show any value. My feel is that this is somehow related to the setting of the valuefield with the ._identifier name.

Steps To ReproduceTo reproduce:
1) goto sales order header window
2) enter a new header and then a new line
3) in the line popup the product selector
TagsNo tags attached.
Attached Filespng file icon Screenshot at 2012-04-18 07:24:38.png [^] (72,996 bytes) 2012-04-18 07:28

- Relationships Relation Graph ] Dependency Graph ]
has duplicate design defect 0020293 closeddbaz [SC Upgrade] FK grid column filter displays [object Object] in selectors after upgrade to SC 8.3d 2012-03-12 (or later) 
related to defect 0020397 closeddbaz API broken at test 2967 

-  Notes
(0047724)
mtaal (developer)
2012-04-18 23:05

Smartclient has added the dot separator as a datapath separator, this means that field names with a dot are interpreted incorrectly, see this post on their forum:
http://forums.smartclient.com/showthread.php?p=84881#post84881 [^]
(0047860)
mtaal (developer)
2012-04-23 00:46

.
(0047861)
mtaal (developer)
2012-04-23 00:47

https://code.openbravo.com/erp/devel/pi-rtl/rev/e163ad46f5d7 [^]
(0047864)
mtaal (developer)
2012-04-23 00:52

As a solution I have chosen to replace the dot separator with a $ which is a valid/allowd js character for identifiers.
(0047913)
hgbot (developer)
2012-04-24 13:42

Repository: erp/devel/pi
Changeset: 75eb428bb97a0c77993bd2735fc3d785c1a6dbcd
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Apr 24 13:41:44 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/75eb428bb97a0c77993bd2735fc3d785c1a6dbcd [^]

Related to issue 20297: [SC Upgrade] name and searchkey empty in product selector popup

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-js.ftl
M src/org/openbravo/dal/core/DalUtil.java
---
(0048029)
dbaz (developer)
2012-04-26 13:53
edited on: 2012-04-26 13:54

Reopened. It will be automatically marked as "resolved" once pi-rtl be merged back to pi.

This changeset
https://code.openbravo.com/erp/devel/pi/rev/75eb428bb97a0c77993bd2735fc3d785c1a6dbcd [^]
is completly harmless

(0048034)
alostale (developer)
2012-04-26 15:17

Setting as design defect: it is not an issue in current pi.
(0048079)
hudsonbot (developer)
2012-04-26 19:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/70a717a9ffa1 [^]

Maturity status: Test
(0048279)
hgbot (developer)
2012-05-02 22:14

Repository: erp/devel/pi
Changeset: e163ad46f5d72bfadf04e3119240a21af70f8aca
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Apr 23 00:45:50 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e163ad46f5d72bfadf04e3119240a21af70f8aca [^]

Fixes issue 20297: [SC Upgrade] name and searchkey empty in product selector popup

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-field.js.ftl
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-js.ftl
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceJavaScriptCreator.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonUtils.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDefaultFilterActionHandler.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/reference/FKSelectorUIDefinition.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector-as-link.ftl
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
M src/org/openbravo/dal/core/DalUtil.java
---
(0048280)
hgbot (developer)
2012-05-02 22:14

Repository: erp/devel/pi
Changeset: e19793aa9c1525c2b7f6c5028876b58dd060455e
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Apr 23 18:44:53 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e19793aa9c1525c2b7f6c5028876b58dd060455e [^]

Related to issue 20297: Updated copyright years

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-field.js.ftl
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceJavaScriptCreator.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonUtils.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDefaultFilterActionHandler.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/reference/FKSelectorUIDefinition.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector-as-link.ftl
M src/org/openbravo/dal/core/DalUtil.java
---
(0048284)
hgbot (developer)
2012-05-02 22:16

Repository: erp/devel/pi
Changeset: d0f74d3c89439b36b8639311f56a1d04228c41f5
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Apr 24 13:30:51 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d0f74d3c89439b36b8639311f56a1d04228c41f5 [^]

Renamed SEPARATOR --> FIELDSEPARATOR, related to issue 20297: [SC Upgrade]

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-field.js.ftl
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseTemplateProcessor.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-js.ftl
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector-as-link.ftl
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0048285)
hgbot (developer)
2012-05-02 22:16

Repository: erp/devel/pi
Changeset: 6155eefcdc2a815b29ca7c4141fba9b02fe11d25
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Apr 24 14:10:58 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6155eefcdc2a815b29ca7c4141fba9b02fe11d25 [^]

Related to issue 20297: [SC Upgrade] name and searchkey empty in product selector popup

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
---
(0048286)
hgbot (developer)
2012-05-02 22:17

Repository: erp/devel/pi
Changeset: 281e29ee6ec969965db477fce54a8977f43677d0
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Apr 24 18:48:14 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/281e29ee6ec969965db477fce54a8977f43677d0 [^]

Related to issue 20297: [SC Upgrade] name and searchkey empty in product selector popup

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.html
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-utilities.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-notes.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form-toolbar-button.js
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/test-compression.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/templates/datasource.ftl
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/DataQueryServiceTest.java
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/JsonReadRestTest.java
M modules/org.openbravo.service.json/src-test/org/openbravo/service/json/test/JsonUpdateRestTest.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorComponent.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDataSourceFilter.java
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0048428)
hgbot (developer)
2012-05-08 01:16

Repository: erp/devel/pi
Changeset: 27001b7b4e0358bef4626f80dd4001f9f525c141
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue May 08 01:15:39 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/27001b7b4e0358bef4626f80dd4001f9f525c141 [^]

Related to issue 20297: Added missed change to 'MatchTransaction.html

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.html
---
(0048837)
guilleaer (developer)
2012-05-21 19:14

code reviewed and tested in pi@87340d8f38a3
(0048973)
hudsonbot (developer)
2012-05-25 12:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0048974)
hudsonbot (developer)
2012-05-25 12:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0048978)
hudsonbot (developer)
2012-05-25 12:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0048979)
hudsonbot (developer)
2012-05-25 12:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0048980)
hudsonbot (developer)
2012-05-25 12:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0049046)
hudsonbot (developer)
2012-05-25 12:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test
(0049253)
guilleaer (developer)
2012-05-25 18:01

Changing Fixed in Version to 3.0MP12
(0049254)
guilleaer (developer)
2012-05-25 18:01

Changing Fixed in Version to 3.0MP12
(0049255)
guilleaer (developer)
2012-05-25 18:02

Changing Fixed in Version to 3.0MP12
(0049256)
guilleaer (developer)
2012-05-25 18:02

Changing Fixed in Version to 3.0MP12

- Issue History
Date Modified Username Field Change
2012-04-18 07:28 mtaal New Issue
2012-04-18 07:28 mtaal Assigned To => dbaz
2012-04-18 07:28 mtaal File Added: Screenshot at 2012-04-18 07:24:38.png
2012-04-18 07:28 mtaal Modules => Core
2012-04-18 23:05 mtaal Note Added: 0047724
2012-04-23 00:46 mtaal Status new => scheduled
2012-04-23 00:46 mtaal Note Added: 0047860
2012-04-23 00:46 mtaal fix_in_branch => pi
2012-04-23 00:47 mtaal Note Added: 0047861
2012-04-23 00:47 mtaal Status scheduled => resolved
2012-04-23 00:47 mtaal Fixed in SCM revision => e163ad46f5d7
2012-04-23 00:47 mtaal Resolution open => fixed
2012-04-23 00:47 mtaal Relationship added has duplicate 0020293
2012-04-23 00:52 mtaal Note Added: 0047864
2012-04-24 13:42 hgbot Checkin
2012-04-24 13:42 hgbot Note Added: 0047913
2012-04-26 13:53 dbaz Note Added: 0048029
2012-04-26 13:53 dbaz Status resolved => new
2012-04-26 13:53 dbaz Resolution fixed => open
2012-04-26 13:54 dbaz Note Edited: 0048029 View Revisions
2012-04-26 15:17 alostale Note Added: 0048034
2012-04-26 15:17 alostale Type defect => design defect
2012-04-26 15:17 alostale fix_in_branch pi =>
2012-04-26 19:32 hudsonbot Checkin
2012-04-26 19:32 hudsonbot Note Added: 0048079
2012-05-02 22:14 hgbot Checkin
2012-05-02 22:14 hgbot Note Added: 0048279
2012-05-02 22:14 hgbot Status new => resolved
2012-05-02 22:14 hgbot Resolution open => fixed
2012-05-02 22:14 hgbot Fixed in SCM revision e163ad46f5d7 => http://code.openbravo.com/erp/devel/pi/rev/e163ad46f5d72bfadf04e3119240a21af70f8aca [^]
2012-05-02 22:14 hgbot Checkin
2012-05-02 22:14 hgbot Note Added: 0048280
2012-05-02 22:16 hgbot Checkin
2012-05-02 22:16 hgbot Note Added: 0048284
2012-05-02 22:16 hgbot Checkin
2012-05-02 22:16 hgbot Note Added: 0048285
2012-05-02 22:17 hgbot Checkin
2012-05-02 22:17 hgbot Note Added: 0048286
2012-05-03 03:25 dbaz Relationship added related to 0020397
2012-05-08 01:16 hgbot Checkin
2012-05-08 01:16 hgbot Note Added: 0048428
2012-05-21 19:14 guilleaer Note Added: 0048837
2012-05-21 19:14 guilleaer Status resolved => closed
2012-05-21 19:14 guilleaer Fixed in Version => pi
2012-05-25 12:08 hudsonbot Checkin
2012-05-25 12:08 hudsonbot Note Added: 0048973
2012-05-25 12:08 hudsonbot Checkin
2012-05-25 12:08 hudsonbot Note Added: 0048974
2012-05-25 12:08 hudsonbot Checkin
2012-05-25 12:08 hudsonbot Note Added: 0048978
2012-05-25 12:08 hudsonbot Checkin
2012-05-25 12:08 hudsonbot Note Added: 0048979
2012-05-25 12:08 hudsonbot Checkin
2012-05-25 12:08 hudsonbot Note Added: 0048980
2012-05-25 12:10 hudsonbot Checkin
2012-05-25 12:10 hudsonbot Note Added: 0049046
2012-05-25 18:01 guilleaer Assigned To dbaz => guilleaer
2012-05-25 18:01 guilleaer Note Added: 0049253
2012-05-25 18:01 guilleaer Status closed => new
2012-05-25 18:01 guilleaer Resolution fixed => open
2012-05-25 18:01 guilleaer Fixed in Version pi =>
2012-05-25 18:01 guilleaer Status new => scheduled
2012-05-25 18:01 guilleaer Note Added: 0049254
2012-05-25 18:02 guilleaer fix_in_branch => pi
2012-05-25 18:02 guilleaer Note Added: 0049255
2012-05-25 18:02 guilleaer Status scheduled => resolved
2012-05-25 18:02 guilleaer Fixed in Version => 3.0MP12
2012-05-25 18:02 guilleaer Resolution open => fixed
2012-05-25 18:02 guilleaer Note Added: 0049256
2012-05-25 18:02 guilleaer Status resolved => closed
2012-09-16 20:00 guilleaer Assigned To guilleaer => dbaz
2012-09-16 20:00 guilleaer Status closed => new
2012-09-16 20:00 guilleaer Resolution fixed => open
2012-09-16 20:00 guilleaer Fixed in Version 3.0MP12 =>
2012-09-16 20:00 guilleaer Status new => scheduled
2012-09-16 20:00 guilleaer Status scheduled => resolved
2012-09-16 20:00 guilleaer Resolution open => fixed
2012-09-16 20:00 guilleaer Closed by => guilleaer
2012-09-16 20:00 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker